cURL
curl --request POST \
--url https://api.coreweave.com/v1alpha1/inference/hotLoads/{id}:cancel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>"
}
'import requests
url = "https://api.coreweave.com/v1alpha1/inference/hotLoads/{id}:cancel"
payload = { "id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '<string>'})
};
fetch('https://api.coreweave.com/v1alpha1/inference/hotLoads/{id}:cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"hotLoad": {
"spec": {
"id": "<string>",
"deploymentId": "<string>",
"organizationId": "<string>",
"identity": "<string>",
"type": 123,
"incrementalSnapshotMetadata": {
"previousSnapshotIdentity": "<string>",
"compressionFormat": 123,
"checksumFormat": 123
},
"promptCachePolicy": 123,
"snapshotChain": [
{
"identity": "<string>",
"type": 123,
"compressionFormat": 123,
"checksumFormat": 123,
"hotLoadId": "<string>"
}
]
},
"status": {
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"state": 123,
"conditions": [
{
"type": "<string>",
"status": "STATUS_UNSPECIFIED",
"lastUpdateTime": "2023-11-07T05:31:56Z",
"reason": "<string>",
"message": "<string>",
"zone": "<string>"
}
],
"canceledAt": "2023-11-07T05:31:56Z"
}
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Post v1alpha1inferencehotloads :cancel
CancelHotLoad terminates a hot-load immediately. The hot-load becomes terminal (CANCELED) before actuation stops, so a replacement hot-load can be created right away. The deployment may be left in a mixed version state by design; the caller reconciles it by creating a new hot-load, which converges every replica to the new target.
POST
/
v1alpha1
/
inference
/
hotLoads
/
{id}
:cancel
cURL
Authorizations
CoreWeave API access token sent as a bearer token.
Path Parameters
The ID of the hot-load to cancel
Body
application/json
Request for CancelHotLoad
The ID of the hot-load to cancel
Response
OK
Response for CancelHotLoad
The canceled hot-load
Show child attributes
Show child attributes
Last modified on September 15, 2026
Was this page helpful?